Bug 438221 - "service rhmd stop" kills all qpidds, not just the system qpidd
"service rhmd stop" kills all qpidds, not just the system qpidd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
medium Severity low
: 1.1
: ---
Assigned To: Nuno Santos
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 15:02 EDT by Justin Ross
Modified: 2013-09-12 18:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 08:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-03-19 15:02:24 EDT
The init script should instead store the pid of the system qpidd and kill it alone.
Comment 1 Nuno Santos 2008-04-01 17:41:55 EDT
Fixed at revision 643597
Comment 2 Mike Bonnet 2008-05-16 11:08:42 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing
Comment 3 Jan Sarenik 2009-04-21 08:09:35 EDT
VERIFIED by checking the initscripts
of both old version which reproduces the bug
(qpidd-0.2-24.el5.i386.rpm) and the new one
(qpidd-0.2.656926-1.el5.i386.rpm).

The difference is in /etc/rc.d/init.d/qpidd
in function stop(), where it is called
just with "$prog" parameter in bug-positive
version and with "-p ${pidfile} $prog" in
the corrected one.
Comment 4 Jan Sarenik 2009-04-21 08:12:41 EDT
The same for /etc/rc.d/init.d/rhmd
  rhm-0.2-18.el5.i386.rpm (visible error)
  rhm-0.2.2060-2.el5.i386.rpm (corrected)

Note You need to log in before you can comment on or make changes to this bug.